<?php
namespace Teknisa\FAI\Modules\Relatorio\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\Report\ReportService;

class Fai36000ListagemEfetivosAgrupamento extends \Zeedhi\Framework\Controller\Report {



    public function __construct(ReportService $reportService, $qr2Strategy) {

        $this->qr2Strategy  = $qr2Strategy;
        parent::__construct($reportService);
    }

    protected $reportMapping = array (
        'fai36000' =>
        array (
            'strategy' => 'QR2',
            'parameterMapping' =>
            array (
                'CDFILIAL' => 'P_CDFILIAL',
                'CDGRUPSERV' => 'P_CDGRUPSERV',
                'interval_start'    => 'P_DTINICIAL',
                'interval_end'      => 'P_DTFINAL'

                ),
            ),
    );


    public function beforeProcessReport(DTO\Request\Row $request, DTO\Response $response) {

        $row = $request->getRow();

        $row['CDGRUPSERV'] = $row['CDGRUPSERV'] !=='T' ? implode ("_", $row['CDGRUPSERV']): "T";

        $this->qr2Strategy->setQr2Type($row['QR2TYPE']);


    }

}